com.singularsys.jep

## Enum OperatorTable2.SpecialOperators

- java.lang.Object
- - java.lang.Enum<OperatorTable2.SpecialOperators>
  - - com.singularsys.jep.OperatorTable2.SpecialOperators

- All Implemented Interfaces:
    EmptyOperatorTable.OperatorKey, java.io.Serializable, java.lang.Comparable<OperatorTable2.SpecialOperators>
  Enclosing class:
    OperatorTable2

      public static enum OperatorTable2.SpecialOperators
      extends java.lang.Enum<OperatorTable2.SpecialOperators>
      implements EmptyOperatorTable.OperatorKey

  Special purpose operators

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASSIGN` Assignment x=5
    `CROSS` Cross product
    `DOT` Dot product x . y
    `ELEMENT` Accesses an element of a list x[2]
    `LIST` Build a list of elements [1,2,3]
    `RANGE` A range [-5:5]

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OperatorTable2.SpecialOperators` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static OperatorTable2.SpecialOperators[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ASSIGN

          public static final OperatorTable2.SpecialOperators ASSIGN

      Assignment x=5

    - #### DOT

          public static final OperatorTable2.SpecialOperators DOT

      Dot product x . y

    - #### CROSS

          public static final OperatorTable2.SpecialOperators CROSS

      Cross product

    - #### LIST

          public static final OperatorTable2.SpecialOperators LIST

      Build a list of elements [1,2,3]

    - #### ELEMENT

          public static final OperatorTable2.SpecialOperators ELEMENT

      Accesses an element of a list x[2]

    - #### RANGE

          public static final OperatorTable2.SpecialOperators RANGE

      A range [-5:5]

  - ### Method Detail

    - #### values

          public static OperatorTable2.SpecialOperators[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OperatorTable2.SpecialOperators c : OperatorTable2.SpecialOperators.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OperatorTable2.SpecialOperators valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 Singular Systems http://www.singularsys.com/jep